{"openapi":"3.0.0","info":{"description":"Hugging Face Hub API - models, datasets and Spaces repositories, user info, settings, webhooks and notifications. Includes Inference Providers: OpenAI-compatible chat completions and model listing via router.huggingface.co","version":[{"name":"v2","value":"v2"}]},"servers":[{"description":"Hugging Face Hub API - models, datasets and Spaces repositories, user info, settings, webhooks and notifications. Includes Inference Providers: OpenAI-compatible chat completions and model listing via router.huggingface.co","url":"https://api.apirails.com/huggingface"}],"paths":{"/api/agent-harnesses":{"get":{"tags":["Agents"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agent-harnesses"},"summary":"Get agent harnesses","description":"Get the registry of AI agents / harnesses known to the Hub, along with the standard environment variables used to detect them. Clients use this registry to identify which agent they are running in when reporting Hub activity. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/agentic/provisioning/account_requests":{"post":{"tags":["Agentic Provisioning"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/account_requests"},"summary":"Create account request","description":"Create account request Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"client_capabilities":{"type":"array","description":"client capabilities","required":true,"items":{"type":"string"}},"configuration":{"type":"object","description":"configuration","properties":{}},"confirmation_secret":{"type":"string","description":"confirmation secret","required":true},"country":{"type":"string","description":"country"},"email":{"type":"string","description":"email","required":true},"expires_at":{"type":"string","description":"expires at (ISO 8601 date-time format)","required":true},"id":{"type":"string","description":"id","required":true},"kyc":{"type":"object","description":"kyc","properties":{"verified_fields":{"type":"array","description":"verified fields","required":true}}},"name":{"type":"string","description":"name"},"object":{"type":"string","description":"object","required":true,"enum":["account_request"]},"orchestrator":{"type":"object","description":"orchestrator","required":true,"properties":{"type":{"type":"string","description":"type","required":true,"enum":["stripe"]},"stripe":{"type":"object","description":"stripe","required":true}}},"phone":{"type":"string","description":"phone"},"scopes":{"type":"array","description":"scopes","required":true,"items":{"type":"string"}}}},"example":{"client_capabilities":[],"configuration":{},"confirmation_secret":"","country":"","email":"","expires_at":"","id":"","kyc":{},"name":"","object":"","orchestrator":{},"phone":"","scopes":[]}}}}}},"/api/agentic/provisioning/deep_links":{"post":{"tags":["Agentic Provisioning"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/deep_links"},"summary":"Create deep link","description":"Create deep link Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"purpose":{"type":"string","description":"purpose","required":true,"enum":["dashboard"]}}},"example":{"purpose":""}}}}}},"/api/agentic/provisioning/health":{"get":{"tags":["Agentic Provisioning"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/health"},"summary":"Get health","description":"Get health Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/agentic/provisioning/resources":{"post":{"tags":["Agentic Provisioning"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/resources"},"summary":"Provision a resource","description":"Provision a resource Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"body":{"type":"object","description":"Request body","properties":{}}}},"example":{"body":{}}}}}}},"/api/agentic/provisioning/resources/{id}":{"get":{"tags":["Agentic Provisioning"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/resources/{id}"},"summary":"Get a resource by ID","description":"Get a resource by ID Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/agentic/provisioning/resources/{id}/remove":{"post":{"tags":["Agentic Provisioning"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/resources/{id}/remove"},"summary":"Remove resource","description":"Remove resource Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/agentic/provisioning/resources/{id}/rotate_credentials":{"post":{"tags":["Agentic Provisioning"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/resources/{id}/rotate_credentials"},"summary":"Rotate resource credentials","description":"Rotate resource credentials Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/agentic/provisioning/resources/{id}/update_service":{"post":{"tags":["Agentic Provisioning"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/resources/{id}/update_service"},"summary":"Update resource service","description":"Update resource service Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"configuration":{"type":"object","description":"configuration","properties":{"rechargeAmountUsd":{"type":"object","description":"Set a number (USD, minimum $15) to enable or update pay-as-you-go auto top-up; pass null to disable; omit to leave it unchanged."}}},"payment_credentials":{"type":"object","description":"payment credentials","properties":{"type":{"type":"string","description":"type","required":true,"enum":["stripe_payment_token"]},"stripe_payment_token":{"type":"string","description":"stripe payment token"}}},"service_id":{"type":"string","description":"service id"}}},"example":{"configuration":{},"payment_credentials":{},"service_id":""}}}}}},"/api/agentic/provisioning/services":{"get":{"tags":["Agentic Provisioning"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/agentic/provisioning/services"},"summary":"Get services","description":"Get services Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/avatars/{namespace}":{"get":{"tags":["Users"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/avatars/{namespace}"},"summary":"Get avatar","description":"Display the avatar for any user or organization. This endpoint redirects to the avatar URL for either a user or an organization Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/blog/{namespace}/{slug}/comment":{"post":{"tags":["Discussions"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/blog/{namespace}/{slug}/comment"},"summary":"Create a new comment","description":"Create a new comment Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"comment":{"type":"string","description":"comment","required":true}}},"example":{"comment":""}}}}}},"/api/blog/{namespace}/{slug}/comment/{commentId}/reply":{"post":{"tags":["Discussions"],"parameters":[{"name":"commentId","in":"path","description":"comment Id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/blog/{namespace}/{slug}/comment/{commentId}/reply"},"summary":"Create a new comment (Discussions POST)","description":"Create a new comment Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"comment":{"type":"string","description":"comment","required":true}}},"example":{"comment":""}}}}}},"/api/blog/{slug}/comment":{"post":{"tags":["Discussions"],"parameters":[{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/blog/{slug}/comment"},"summary":"Create a new comment (Discussions POST) — POST /api/blog/{slug}/comment","description":"Create a new comment Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"comment":{"type":"string","description":"comment","required":true}}},"example":{"comment":""}}}}}},"/api/blog/{slug}/comment/{commentId}/reply":{"post":{"tags":["Discussions"],"parameters":[{"name":"commentId","in":"path","description":"comment Id","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/blog/{slug}/comment/{commentId}/reply"},"summary":"Create a new comment (Discussions POST) — POST /api/blog/{slug}/comment/{commentId}/reply","description":"Create a new comment Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"comment":{"type":"string","description":"comment","required":true}}},"example":{"comment":""}}}}}},"/api/buckets/{namespace}":{"get":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"search","in":"query","description":"search","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}"},"summary":"List namespace buckets","description":"List namespace buckets Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/buckets/{namespace}/{repo}":{"delete":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}"},"summary":"Delete bucket","description":"Delete bucket Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"get":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}"},"summary":"Get bucket details","description":"Get bucket details Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}"},"summary":"Create bucket","description":"Create bucket Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"cdn":{"type":"array","description":"CDN pre-warming regions","items":{"type":"object","properties":{"provider":{"type":"string","description":"provider","required":true,"enum":["gcp","aws"]},"region":{"type":"string","description":"region","required":true,"enum":["us","eu"]}}}},"private":{"type":"object","description":"Bucket visibility. Defaults to public","properties":{}},"region":{"type":"string","description":"The region where the bucket is hosted.","enum":["us","eu"]},"resourceGroupId":{"type":"string","description":"resource Group Id"}}},"example":{"cdn":[],"private":{},"region":"","resourceGroupId":""}}}}}},"/api/buckets/{namespace}/{repo}/batch":{"post":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/batch"},"summary":"Batch file operations","description":"Accepts NDJSON (newline-delimited JSON) where each line is an addFile, copyFile, or deleteFile instruction. All add/copy operations must come before all delete operations. JSON-lines payload: ```json '{\"type\":\"addFile\",\"path\":\"...\",\"xetHash\":\"...\",\"mtime\":...,\"mtimeNanos\":...,\"contentType\":\"...\"}' + '{\"type\":\"copyFile\",\"path\":\"...\",\"xetHash\":\"...\",\"sourceRepoType\":\"...\",\"sourceRepoId\":\"...\",\"mtime\":...,\"mtimeNanos\":...,\"contentType\":\"...\"}' + '{\"type\":\"deleteFile\",\"path\":\"...\"}' ``` Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/buckets/{namespace}/{repo}/lfs-files/duplicate":{"post":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/lfs-files/duplicate"},"summary":"Duplicate xet files","description":"Duplicate xet-stored files from this repo (source) into another repo (target) by xet hash, without re-uploading file bytes. The caller must then commit the files with their sha256/size as usual. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"files":{"type":"array","description":"files","required":true,"items":{"type":"object","properties":{"filename":{"type":"string","description":"filename"},"sha256":{"type":"string","description":"sha256","required":true},"xetHash":{"type":"string","description":"xet Hash","required":true}}}},"target":{"type":"object","description":"target","required":true,"properties":{"type":{"type":"string","description":"type","required":true,"enum":["dataset","model","space","kernel"]},"name":{"type":"string","description":"name","required":true}}}}},"example":{"files":[],"target":{}}}}}}},"/api/buckets/{namespace}/{repo}/paths-info":{"post":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/paths-info"},"summary":"List paths info","description":"List paths info Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"paths":{"type":"object","description":"paths","required":true,"properties":{}}}},"example":{"paths":{}}}}}}},"/api/buckets/{namespace}/{repo}/resource-group":{"get":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/resource-group"},"summary":"Get resource group","description":"Get resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/resource-group"},"summary":"Add resource group","description":"Add the repository to a resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"resourceGroupId":{"type":"object","description":"The resource group to add the repository to, if null, the repository will be removed from the resource group","required":true,"properties":{}}}},"example":{"resourceGroupId":{}}}}}}},"/api/buckets/{namespace}/{repo}/settings":{"put":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/settings"},"summary":"Update bucket settings","description":"Update bucket settings Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"cdnRegions":{"type":"array","description":"cdn Regions","required":true,"items":{"type":"object","properties":{"provider":{"type":"string","description":"provider","required":true,"enum":["gcp","aws"]},"region":{"type":"string","description":"region","required":true,"enum":["us","eu"]}}}},"private":{"type":"object","description":"private","properties":{}}}},"example":{"cdnRegions":[],"private":{}}}}}}},"/api/buckets/{namespace}/{repo}/tree/{path}":{"get":{"tags":["Buckets"],"parameters":[{"name":"path","in":"path","description":"Wildcard path parameter","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"cursor","in":"query","description":"Pagination cursor","required":false,"schema":{"type":"string","example":""}},{"name":"direction","in":"query","description":"Sort direction. Defaults to `asc` for `path` and `desc` for `uploadedAt`.","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["asc","desc"]}}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"recursive","in":"query","description":"When false, returns collapsed directory entries instead of listing all files recursively. The number of entries returned can then be less than the limit, but there will always be a pagination link if there are more entries. Note: non-recursive listing hasn't a strong consistency guarantees.","required":false,"schema":{"type":"string","example":""}},{"name":"sort","in":"query","description":"Sort order. `path` (default) sorts lexicographically; `uploadedAt` sorts by most recent upload first. In recursive mode `uploadedAt` is only supported at the bucket root (no path prefix). In non-recursive mode, only supported at root or exact folder prefixes.","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["path","uploadedAt"]}}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/tree/{path}"},"summary":"List files","description":"List files Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/buckets/{namespace}/{repo}/xet-read-token":{"get":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/xet-read-token"},"summary":"Xet read token","description":"Get a read short-lived access token for XET Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/buckets/{namespace}/{repo}/xet-write-token":{"get":{"tags":["Buckets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/buckets/{namespace}/{repo}/xet-write-token"},"summary":"Xet write token","description":"Get a write short-lived access token for XET upload Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/collections":{"get":{"tags":["Collections"],"parameters":[{"name":"cursor","in":"query","description":"cursor","required":false,"schema":{"type":"string","example":""}},{"name":"expand","in":"query","description":"expand","required":false,"schema":{"type":"string","example":""}},{"name":"item","in":"query","description":"item","required":false,"schema":{"type":"object","example":""}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"owner","in":"query","description":"owner","required":false,"schema":{"type":"object","example":""}},{"name":"q","in":"query","description":"q","required":false,"schema":{"type":"string","example":""}},{"name":"sort","in":"query","description":"sort","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["upvotes","lastModified","trending"]}}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections"},"summary":"Get collections","description":"Get collections Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Collections"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections"},"summary":"Create a collection","description":"Create a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"description":{"type":"string","description":"description"},"item":{"type":"object","description":"item","properties":{"type":{"type":"string","description":"type","required":true,"enum":["paper","collection","space","model","dataset","bucket"]},"id":{"type":"string","description":"id","required":true}}},"namespace":{"type":"string","description":"namespace","required":true},"private":{"type":"boolean","description":"If not provided, the collection will be public. This field will respect the organization's visibility setting.","enum":[true,false]},"resourceGroupId":{"type":"string","description":"Assign the collection to a resource group of the owning organization. Only valid for organization-owned collections."},"title":{"type":"string","description":"title","required":true}}},"example":{"description":"","item":{},"namespace":"","private":"","resourceGroupId":"","title":""}}}}}},"/api/collections/{namespace}/{slug}":{"delete":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}"},"summary":"Delete a collection","description":"Delete a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"get":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}"},"summary":"Get a collection","description":"Get a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"patch":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}"},"summary":"Update a collection","description":"Update a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"description":{"type":"string","description":"description"},"gating":{"type":"object","description":"gating","properties":{"mode":{"type":"string","description":"mode","required":true,"enum":["auto","manual"]},"notifications":{"type":"object","description":"notifications","required":true}}},"position":{"type":"number","description":"position"},"private":{"type":"boolean","description":"private","enum":[true,false]},"theme":{"type":"string","description":"theme","enum":["orange","blue","green","purple","pink","indigo"]},"title":{"type":"string","description":"title"}}},"example":{"description":"","gating":{},"position":"","private":"","theme":"","title":""}}}}}},"/api/collections/{namespace}/{slug}-{id}":{"delete":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}"},"summary":"Delete a collection (Collections DELETE)","description":"Delete a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"get":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}"},"summary":"Get a collection (Collections GET)","description":"Get a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"patch":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}"},"summary":"Update a collection (Collections PATCH)","description":"Update a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"description":{"type":"string","description":"description"},"gating":{"type":"object","description":"gating","properties":{"mode":{"type":"string","description":"mode","required":true,"enum":["auto","manual"]},"notifications":{"type":"object","description":"notifications","required":true}}},"position":{"type":"number","description":"position"},"private":{"type":"boolean","description":"private","enum":[true,false]},"theme":{"type":"string","description":"theme","enum":["orange","blue","green","purple","pink","indigo"]},"title":{"type":"string","description":"title"}}},"example":{"description":"","gating":{},"position":"","private":"","theme":"","title":""}}}}}},"/api/collections/{namespace}/{slug}-{id}/items":{"post":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/items"},"summary":"Add item","description":"Add an item to a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"item":{"type":"object","description":"item","required":true,"properties":{"type":{"type":"string","description":"type","required":true,"enum":["paper","collection","space","model","dataset","bucket"]},"id":{"type":"string","description":"id","required":true}}},"note":{"type":"string","description":"note"}}},"example":{"item":{},"note":""}}}}}},"/api/collections/{namespace}/{slug}-{id}/items/batch":{"post":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/items/batch"},"summary":"Batch update items","description":"Batch update items in a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"items":{"type":"array","description":"The request body array. Send the bare JSON array itself as the request body, not wrapped in an object.","required":true,"items":{"type":"object","properties":{"_id":{"type":"string","description":"id","required":true},"action":{"type":"string","description":"action","required":true,"enum":["update"]},"data":{"type":"object","description":"data","required":true}}}}}},"example":{"items":[]}}}}}},"/api/collections/{namespace}/{slug}-{id}/items/{itemId}":{"delete":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"itemId","in":"path","description":"item Id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/items/{itemId}"},"summary":"Delete item","description":"Delete an item from a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"patch":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"itemId","in":"path","description":"item Id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/items/{itemId}"},"summary":"Update item","description":"Update an item in a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"gallery":{"type":"array","description":"gallery","items":{"type":"string"}},"note":{"type":"string","description":"note"},"position":{"type":"number","description":"position"}}},"example":{"gallery":[],"note":"","position":""}}}}}},"/api/collections/{namespace}/{slug}-{id}/resource-group":{"get":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/resource-group"},"summary":"Get collection resource group","description":"Get collection resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Collections"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}-{id}/resource-group"},"summary":"Set collection resource group","description":"Assign, move, or unassign an organization-owned collection to a resource group. Pass null to unassign. User-owned collections are not eligible. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"resourceGroupId":{"type":"object","description":"The resource group to assign the collection to. If null, the collection is removed from any resource group.","required":true,"properties":{}}}},"example":{"resourceGroupId":{}}}}}}},"/api/collections/{namespace}/{slug}/items":{"post":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/items"},"summary":"Add item (Collections POST)","description":"Add an item to a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"item":{"type":"object","description":"item","required":true,"properties":{"type":{"type":"string","description":"type","required":true,"enum":["paper","collection","space","model","dataset","bucket"]},"id":{"type":"string","description":"id","required":true}}},"note":{"type":"string","description":"note"}}},"example":{"item":{},"note":""}}}}}},"/api/collections/{namespace}/{slug}/items/batch":{"post":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/items/batch"},"summary":"Batch update items (Collections POST)","description":"Batch update items in a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"items":{"type":"array","description":"The request body array. Send the bare JSON array itself as the request body, not wrapped in an object.","required":true,"items":{"type":"object","properties":{"_id":{"type":"string","description":"id","required":true},"action":{"type":"string","description":"action","required":true,"enum":["update"]},"data":{"type":"object","description":"data","required":true}}}}}},"example":{"items":[]}}}}}},"/api/collections/{namespace}/{slug}/items/{slug}":{"delete":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/items/{slug}"},"summary":"Delete item (Collections DELETE)","description":"Delete an item from a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"patch":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/items/{slug}"},"summary":"Update item (Collections PATCH)","description":"Update an item in a collection Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"gallery":{"type":"array","description":"gallery","items":{"type":"string"}},"note":{"type":"string","description":"note"},"position":{"type":"number","description":"position"}}},"example":{"gallery":[],"note":"","position":""}}}}}},"/api/collections/{namespace}/{slug}/resource-group":{"get":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/resource-group"},"summary":"Get collection resource group (Collections GET)","description":"Get collection resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Collections"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"slug","in":"path","description":"slug","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/collections/{namespace}/{slug}/resource-group"},"summary":"Set collection resource group (Collections POST)","description":"Assign, move, or unassign an organization-owned collection to a resource group. Pass null to unassign. User-owned collections are not eligible. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"resourceGroupId":{"type":"object","description":"The resource group to assign the collection to. If null, the collection is removed from any resource group.","required":true,"properties":{}}}},"example":{"resourceGroupId":{}}}}}}},"/api/credentials/revoke":{"post":{"tags":["Tokens"],"parameters":[],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/credentials/revoke"},"summary":"Revoke leaked tokens","description":"Publicly invalidate leaked Hugging Face access tokens. Possession of the raw token value is the only proof required: no authentication is needed, and no rights over the owning account or org are necessary. Each raw token is fully invalidated, the owning user is notified by email. Always returns 202, whether or not any of the provided tokens existed, so the response cannot be used to probe token validity. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"credentials":{"type":"array","description":"Raw access token values to invalidate, at most 1000.","required":true,"items":{"type":"string"}}}},"example":{"credentials":[]}}}}}},"/api/daily_papers":{"get":{"tags":["Papers"],"parameters":[{"name":"date","in":"query","description":"date (ISO 8601 date format)","required":false,"schema":{"type":"string","example":""}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"month","in":"query","description":"month","required":false,"schema":{"type":"string","example":""}},{"name":"p","in":"query","description":"p","required":false,"schema":{"type":"number","example":""}},{"name":"sort","in":"query","description":"sort","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["publishedAt","trending"]}}},{"name":"submitter","in":"query","description":"submitter","required":false,"schema":{"type":"string","example":""}},{"name":"week","in":"query","description":"week","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/daily_papers"},"summary":"Get Daily Papers","description":"Get Daily Papers Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets-tags-by-type":{"get":{"tags":["Datasets"],"parameters":[{"name":"type","in":"query","description":"type","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["benchmark","task_categories","size_categories","modality","format","library","language","license","arxiv","doi","region","other","task_ids","annotations_creators","language_creators","multilinguality","source_datasets"]}}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets-tags-by-type"},"summary":"Get dataset tags","description":"Get all possible tags used for datasets, grouped by tag type. Optionally restrict to only one tag type Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/branch/{rev}":{"delete":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/branch/{rev}"},"summary":"Delete a branch","description":"Delete a branch Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/branch/{rev}"},"summary":"Create branch","description":"Create branch Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"emptyBranch":{"type":"boolean","description":"Create an empty branch","enum":[true,false]},"overwrite":{"type":"boolean","description":"Overwrite the branch if it already exists","enum":[true,false]},"startingPoint":{"type":"string","description":"The commit to start from"}}},"example":{"emptyBranch":"","overwrite":"","startingPoint":""}}}}}},"/api/datasets/{namespace}/{repo}/commit/{rev}":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}},{"name":"create_pr","in":"query","description":"Whether to create a pull request from the commit","required":false,"schema":{"type":"string","example":""}},{"name":"hot_reload","in":"query","description":"For Spaces, whether to try to hot reload the commit (only for single python files updates)","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/commit/{rev}"},"summary":"Commit","description":"For legacy reason, we support both `application/json` and `application/x-ndjson` but we recommend using `application/x-ndjson` to create a commit. JSON-lines payload: ```json { \"key\": \"header\", \"value\": { \"summary\": \"string (REQUIRED)\", \"description\": \"string (OPTIONAL - defaults to empty string)\", \"parentCommit\": \"string (OPTIONAL - 40-character hex SHA)\" } } { \"key\": \"file\", \"value\": { \"path\": \"string (REQUIRED)\", \"content\": \"string (OPTIONAL - required if oldPath not set)\", \"encoding\": \"utf-8 | base64 (OPTIONAL - defaults to utf-8)\", \"oldPath\": \"string (OPTIONAL - for move/rename operations)\" } } { \"key\": \"deletedEntry\", \"value\": { \"path\": \"string (REQUIRED)\" } } { \"key\": \"lfsFile\", \"value\": { \"path\": \"string (REQUIRED - max 1000 chars)\", \"oid\": \"string (OPTIONAL - required if oldPath not set, 64 hex chars)\", \"algo\": \"sha256 (OPTIONAL - only sha256 supported)\", \"size\": \"number (OPTIONAL - required if oldPath is set)\", \"oldPath\": \"string (OPTIONAL - for move/rename operations)\" } } ``` JSON payload: ```json { \"summary\": \"string (REQUIRED)\", \"description\": \"string (OPTIONAL - defaults to empty string)\", \"parentCommit\": \"string (OPTIONAL - 40-character hex SHA)\" \"files\": [ { \"path\": \"string (REQUIRED)\", \"content\": \"string (OPTIONAL - required if oldPath not set)\", \"encoding\": \"utf-8 | base64 (OPTIONAL - defaults to utf-8)\", \"oldPath\": \"string (OPTIONAL - for move/rename operations)\" } ], \"deletedEntries\": [ { \"path\": \"string (REQUIRED)\" } ], \"lfsFiles\": [ { \"path\": \"string (REQUIRED - max 1000 chars)\", \"oid\": \"string (OPTIONAL - required if oldPath not set, 64 hex chars)\", \"algo\": \"sha256 (OPTIONAL - only sha256 supported)\", \"size\": \"number (OPTIONAL - required if oldPath is set)\", \"oldPath\": \"string (OPTIONAL - for move/rename operations)\" } ] } ``` Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/datasets/{namespace}/{repo}/commits/{rev}":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}},{"name":"expand","in":"query","description":"expand","required":false,"schema":{"type":"array","example":""}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"p","in":"query","description":"p","required":false,"schema":{"type":"number","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/commits/{rev}"},"summary":"List commits","description":"List commits Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/compare/{compare}":{"get":{"tags":["Datasets"],"parameters":[{"name":"compare","in":"path","description":"compare","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"raw","in":"query","description":"raw","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/compare/{compare}"},"summary":"Get a compare rev","description":"Get a compare rev Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/jwt":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"billing_details","in":"query","description":"billing details","required":false,"schema":{"type":"string","example":""}},{"name":"encrypted","in":"query","description":"encrypted","required":false,"schema":{"type":"string","example":""}},{"name":"expiration","in":"query","description":"Requested expiration datetime, capped at the default (10 minutes with write, 24 hours for spaces, 1 hour otherwise). Use expires_in instead. (ISO 8601 date-time format)","required":false,"schema":{"type":"string","example":""}},{"name":"expires_in","in":"query","description":"Requested lifetime in seconds, capped at the default (600s with write, 86400s for spaces, 3600s otherwise)","required":false,"schema":{"type":"number","example":""}},{"name":"include_pro_status","in":"query","description":"Use billing_details instead.","required":false,"schema":{"type":"string","example":""}},{"name":"inference_api","in":"query","description":"inference api","required":false,"schema":{"type":"string","example":""}},{"name":"write","in":"query","description":"write","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/jwt"},"summary":"Generate JWT","description":"Generate a JWT token for accessing a repository. Supports optional write access for spaces in dev mode, custom expiration, and encryption. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/leaderboard":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"base_model","in":"query","description":"base model","required":false,"schema":{"type":"string","example":""}},{"name":"max_params","in":"query","description":"max params","required":false,"schema":{"type":"string","example":""}},{"name":"task_id","in":"query","description":"task id","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/leaderboard"},"summary":"Get dataset leaderboard","description":"Returns the evaluation results ranked by score for a dataset/task Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/lfs-files":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"cursor","in":"query","description":"cursor","required":false,"schema":{"type":"string","example":""}},{"name":"direction","in":"query","description":"direction","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["asc","desc"]}}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"sort","in":"query","description":"sort","required":false,"schema":{"type":"string","example":"","items":{"type":"string","enum":["size","pushedAt"]}}},{"name":"xet","in":"query","description":"xet","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/lfs-files"},"summary":"List Large files","description":"List Xet/LFS files for a repo Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/lfs-files/batch":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/lfs-files/batch"},"summary":"Delete Large files","description":"Delete Xet/LFS files in batch Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"deletions":{"type":"object","description":"deletions","required":true,"properties":{"rewriteHistory":{"type":"boolean","description":"rewrite History","enum":[true,false]},"sha":{"type":"array","description":"sha","required":true}}}}},"example":{"deletions":{}}}}}}},"/api/datasets/{namespace}/{repo}/lfs-files/duplicate":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/lfs-files/duplicate"},"summary":"Duplicate xet files (Datasets POST)","description":"Duplicate xet-stored files from this repo (source) into another repo (target) by xet hash, without re-uploading file bytes. The caller must then commit the files with their sha256/size as usual. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"files":{"type":"array","description":"files","required":true,"items":{"type":"object","properties":{"filename":{"type":"string","description":"filename"},"sha256":{"type":"string","description":"sha256","required":true},"xetHash":{"type":"string","description":"xet Hash","required":true}}}},"target":{"type":"object","description":"target","required":true,"properties":{"type":{"type":"string","description":"type","required":true,"enum":["dataset","model","space","kernel"]},"name":{"type":"string","description":"name","required":true}}}}},"example":{"files":[],"target":{}}}}}}},"/api/datasets/{namespace}/{repo}/lfs-files/{sha}":{"delete":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"sha","in":"path","description":"sha","required":true,"schema":{"type":"string","example":""}},{"name":"rewriteHistory","in":"query","description":"rewrite History","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/lfs-files/{sha}"},"summary":"Delete Large file","description":"Delete a Xet/LFS file Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/datasets/{namespace}/{repo}/notebook/{rev}/{path}":{"get":{"tags":["Datasets"],"parameters":[{"name":"path","in":"path","description":"Wildcard path parameter","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/notebook/{rev}/{path}"},"summary":"Get notebook URL","description":"Get a jupyter notebook URL for the requested file Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/paths-info/{rev}":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/paths-info/{rev}"},"summary":"List paths info (Datasets POST)","description":"List paths info Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"expand":{"type":"object","description":"Expand the response with the last commit and security file status","required":true,"properties":{}},"paths":{"type":"object","description":"paths","required":true,"properties":{}}}},"example":{"expand":{},"paths":{}}}}}}},"/api/datasets/{namespace}/{repo}/preupload/{rev}":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/preupload/{rev}"},"summary":"Check upload method","description":"Check if a file should be uploaded through the Large File mechanism or directly. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":false,"content":{"multipart/form-data":{"schema":{"type":"object","required":[],"properties":{"files":{"type":"array","description":"files","required":true,"items":{"type":"object","properties":{"path":{"type":"string","description":"path","required":true},"sample":{"type":"string","description":"sample","required":true},"size":{"type":"number","description":"size","required":true}}}},"gitAttributes":{"type":"string","description":"Provide this parameter if you plan to modify `.gitattributes` yourself at the same time as uploading LFS files. Note that this is not needed if you solely rely on automatic LFS detection from HF: the commit endpoint will automatically edit the `.gitattributes` file to track the files passed to its `lfsFiles` param."},"gitIgnore":{"type":"string","description":"Content of the .gitignore file for the revision. Optional, otherwise takes the existing content of `.gitignore` for the revision."}}},"example":{"files":[],"gitAttributes":"","gitIgnore":""}}}}}},"/api/datasets/{namespace}/{repo}/refs":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"include_prs","in":"query","description":"include prs","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/refs"},"summary":"List references","description":"List references Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/resource-group":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/resource-group"},"summary":"Get resource group (Datasets GET)","description":"Get resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]},"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/resource-group"},"summary":"Add resource group (Datasets POST)","description":"Add the repository to a resource group Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"resourceGroupId":{"type":"object","description":"The resource group to add the repository to, if null, the repository will be removed from the resource group","required":true,"properties":{}}}},"example":{"resourceGroupId":{}}}}}}},"/api/datasets/{namespace}/{repo}/scan":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/scan"},"summary":"Get security status","description":"Get the security status of a repo Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/settings":{"put":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/settings"},"summary":"Update repo settings","description":"Update the settings of a repo Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"discussionsDisabled":{"type":"boolean","description":"discussions Disabled","enum":[true,false]},"discussionsSorting":{"type":"string","description":"discussions Sorting","enum":["recently-created","trending","reactions"]},"gated":{"type":"object","description":"gated","properties":{}},"gatedNotificationsEmail":{"type":"string","description":"gated Notifications Email"},"gatedNotificationsMode":{"type":"string","description":"gated Notifications Mode","enum":["bulk","real-time"]},"orgMembersGated":{"type":"boolean","description":"If true, members of the owning org (except admins) must also go through the gated access-request flow.","enum":[true,false]},"private":{"type":"boolean","description":"private","enum":[true,false]},"visibility":{"type":"string","description":"Repository visibility. `protected` is only supported for Spaces.","enum":["private","public","protected"]}}},"example":{"discussionsDisabled":"","discussionsSorting":"","gated":{},"gatedNotificationsEmail":"","gatedNotificationsMode":"","orgMembersGated":"","private":"","visibility":""}}}}}},"/api/datasets/{namespace}/{repo}/super-squash/{rev}":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/super-squash/{rev}"},"summary":"Squash ref","description":"Squash all commits in the current ref into a single commit with the given message. Action is irreversible. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"message":{"type":"string","description":"message"}}},"example":{"message":""}}}}}},"/api/datasets/{namespace}/{repo}/tag/{rev}":{"delete":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/tag/{rev}"},"summary":"Delete a tag","description":"Delete a tag Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}},"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/tag/{rev}"},"summary":"Create tag","description":"Create tag Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"message":{"type":"string","description":"message"},"tag":{"type":"string","description":"tag","required":true}}},"example":{"message":"","tag":""}}}}}},"/api/datasets/{namespace}/{repo}/tree/{rev}/{path}":{"get":{"tags":["Datasets"],"parameters":[{"name":"path","in":"path","description":"Wildcard path parameter","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}},{"name":"cursor","in":"query","description":"cursor","required":false,"schema":{"type":"string","example":""}},{"name":"expand","in":"query","description":"If true, returns returns associated commit data for each entry and security scanner metadata.","required":false,"schema":{"type":"string","example":""}},{"name":"limit","in":"query","description":"1.000 by default, 100 by default for expand=true","required":false,"schema":{"type":"number","example":""}},{"name":"recursive","in":"query","description":"If true, returns the tree recursively.","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/tree/{rev}/{path}"},"summary":"List folder content","description":"List the content of a repository tree, with pagination support. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/treesize/{rev}/{path}":{"get":{"tags":["Datasets"],"parameters":[{"name":"path","in":"path","description":"Wildcard path parameter","required":true,"schema":{"type":"string","example":""}},{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"rev","in":"path","description":"rev","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/treesize/{rev}/{path}"},"summary":"Get folder size","description":"Get the total size of a repository at a given revision, optionally under a specific subpath. Returns the total size in bytes of all files under the specified path (recursively). If a file is stored via Xet/LFS, the LFS file size is used. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}]}},"/api/datasets/{namespace}/{repo}/user-access-request/batch":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/user-access-request/batch"},"summary":"Batch handle access requests","description":"Accept, reject or reset to pending up to 100 access requests for a single gated repository in one call. The same `status` (and optional `rejectionReason`) is applied to every request in the list. Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"rejectionReason":{"type":"string","description":"rejection Reason"},"requests":{"type":"array","description":"requests","required":true,"items":{"type":"object","properties":{"user":{"type":"string","description":"Either userId or user must be provided"},"userId":{"type":"string","description":"Either userId or user must be provided"}}}},"status":{"type":"string","description":"status","required":true,"enum":["accepted","rejected","pending"]}}},"example":{"rejectionReason":"","requests":[],"status":""}}}}}},"/api/datasets/{namespace}/{repo}/user-access-request/cancel":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/user-access-request/cancel"},"summary":"Cancel access request","description":"Cancel the current user's access request to a gated repository Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{}},"example":{}}}}}},"/api/datasets/{namespace}/{repo}/user-access-request/grant":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/user-access-request/grant"},"summary":"Grant access","description":"Grant access to a user for a gated repository Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"user":{"type":"string","description":"user"},"userId":{"type":"string","description":"user Id"}}},"example":{"user":"","userId":""}}}}}},"/api/datasets/{namespace}/{repo}/user-access-request/handle":{"post":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datasets/{namespace}/{repo}/user-access-request/handle"},"summary":"Handle access request","description":"Handle a user's access request to a gated repository Source: official Hugging Face Hub API reference https://huggingface.co/docs/hub/api (OpenAPI spec https://huggingface.co/.well-known/openapi.json).","security":[{"bearerAuth":[]}],"requestBody":{"description":"","required":true,"content":{"application/json":{"schema":{"type":"object","required":[],"properties":{"rejectionReason":{"type":"string","description":"rejection Reason"},"status":{"type":"string","description":"status","required":true,"enum":["accepted","rejected","pending"]},"user":{"type":"string","description":"Either userId or user must be provided"},"userId":{"type":"string","description":"Either userId or user must be provided"}}},"example":{"rejectionReason":"","status":"","user":"","userId":""}}}}}},"/api/datasets/{namespace}/{repo}/user-access-request/{status}":{"get":{"tags":["Datasets"],"parameters":[{"name":"namespace","in":"path","description":"namespace","required":true,"schema":{"type":"string","example":""}},{"name":"repo","in":"path","description":"repo","required":true,"schema":{"type":"string","example":""}},{"name":"status","in":"path","description":"status","required":true,"schema":{"type":"string","example":"","items":{"type":"string","enum":["pending","accepted","rejected"]}}},{"name":"after","in":"query","description":"after (ISO 8601 date-time format)","required":false,"schema":{"type":"string","example":""}},{"name":"before","in":"query","description":"before (ISO 8601 date-time format)","required":false,"schema":{"type":"string","example":""}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"number","example":""}},{"name":"q","in":"query","description":"Search requests by requester username, fullname, email, email domain or verified organization","required":false,"schema":{"type":"string","example":""}}],"responses":{"401":{"description":"Bearer token required (Authorization header)","content":{"application/json":{}}}},"externalDocs":{"api_ref":"https://huggingface.co/docs/hub/api","api_endpoint":"https://huggingface.co/api/datas
[...]
